package com.saye.hospitalgd.mapper.system;

import com.saye.hospitalgd.model.Role;

import java.util.HashMap;
import java.util.List;

public interface RoleMapper {
	
	/**查询角色列表
	 * */
    public List<Role> findRoleList();

    /**多条件查询角色列表
     * */
    public List<Role>  searchRole(HashMap<String,String>map);
    
    /**删除角色
     * */
    public int deleteRole(String roleId);
    
    /**
     * @description 添加角色
     * @author thuang       
     * @created 2019年11月11日 下午4:47:47 
     * @param map
     * @return
     */
    public int addRole(HashMap<String,String>map);

    /**
     * 根据条件查询人员是否在管理员角色下
     * @param map
     * @return
     * @throws Exception
     */
	public List<HashMap<Object, Object>> findUserRoleListByParam(HashMap<Object, Object> map) throws Exception;

    void updateRole(HashMap<String, String> map) ;

	/**
	 * @description: 根据用户id 查询用户权限
	 * @author thuang
	 * @date 2021/5/24 17:11
	 * @version 1.0
	 */
    List<HashMap<Object, Object>> findUserRoleListByUserId(HashMap<Object, Object> map) throws  Exception;
}
